Available in Classic and VPC
View the stage associated with a specific usage plan among stages the belong to a specified API.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| POST | /products/{product-id}/apis/{api-id}/stages/search |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the API belongs to
|
api-id |
String | Required | ID of the API whose stage you want to view
|
Request syntax
The request syntax is as follows.
{
"usagePlanId" : "usagePlanId"
}
Request body
The following describes the request body.
| Field | Type | Required | Description |
|---|---|---|---|
usagePlanId |
String | Required | ID of usage plan whose stages you want to view
|
Request example
The following is a sample request.
curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/search' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"usagePlanId" : "***833g***"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"stages" : [ {
"stageName" : "stageName",
"stageId" : "stageId"
} ]
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"stages": [
{
"stageId": "***fh5o***",
"stageName": "stage000"
},
{
"stageId": "***5ei7***",
"stageName": "stage"
}
]
}